Package org.springframework.security.web.server

# Class ServerFormLoginAuthenticationConverter

java.lang.Object
org.springframework.security.web.server.ServerFormLoginAuthenticationConverter

All Implemented Interfaces:
  `Function<org.springframework.web.server.ServerWebExchange,reactor.core.publisher.Mono<org.springframework.security.core.Authentication>>`

Direct Known Subclasses:
  `ServerFormLoginAuthenticationConverter`

@Deprecated public class ServerFormLoginAuthenticationConverter extends Object implements Function<org.springframework.web.server.ServerWebExchange,reactor.core.publisher.Mono<org.springframework.security.core.Authentication>>
Deprecated.
use `ServerFormLoginAuthenticationConverter` instead.
Converts a ServerWebExchange into a UsernamePasswordAuthenticationToken from the form data HTTP parameters.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`ServerFormLoginAuthenticationConverter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.core.Authentication>`
`apply(org.springframework.web.server.ServerWebExchange exchange)`
Deprecated.
`void`
`setPasswordParameter(String passwordParameter)`
Deprecated.
The parameter name of the form data to extract the password
`void`
`setUsernameParameter(String usernameParameter)`
Deprecated.
The parameter name of the form data to extract the username

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ServerFormLoginAuthenticationConverter

public ServerFormLoginAuthenticationConverter()
Deprecated.

## Method Details

### apply

@Deprecated public reactor.core.publisher.Mono<org.springframework.security.core.Authentication> apply(org.springframework.web.server.ServerWebExchange exchange)
Deprecated.

Specified by:
  `apply` in interface `Function<org.springframework.web.server.ServerWebExchange,reactor.core.publisher.Mono<org.springframework.security.core.Authentication>>`

### setUsernameParameter

public void setUsernameParameter(String usernameParameter)
Deprecated.
The parameter name of the form data to extract the username

Parameters:
  `usernameParameter` - the username HTTP parameter

### setPasswordParameter

public void setPasswordParameter(String passwordParameter)
Deprecated.
The parameter name of the form data to extract the password

Parameters:
  `passwordParameter` - the password HTTP parameter